Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.SplitPaneActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.SplitPaneActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.SplitPaneActions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FOCUS_OUT_BACKWARD`
`static final String`
`FOCUS_OUT_FORWARD`
`static final String`
`NEGATIVE_INCREMENT`
`static final String`
`POSITIVE_INCREMENT`
`static final String`
`SELECT_MAX`
`static final String`
`SELECT_MIN`
`static final String`
`START_RESIZE`
`static final String`
`TOGGLE_FOCUS`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SplitPaneActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NEGATIVE_INCREMENT

public static final String NEGATIVE_INCREMENT

See Also:
  - Constant Field Values

### POSITIVE_INCREMENT

public static final String POSITIVE_INCREMENT

See Also:
  - Constant Field Values

### SELECT_MIN

public static final String SELECT_MIN

See Also:
  - Constant Field Values

### SELECT_MAX

public static final String SELECT_MAX

See Also:
  - Constant Field Values

### START_RESIZE

public static final String START_RESIZE

See Also:
  - Constant Field Values

### TOGGLE_FOCUS

public static final String TOGGLE_FOCUS

See Also:
  - Constant Field Values

### FOCUS_OUT_FORWARD

public static final String FOCUS_OUT_FORWARD

See Also:
  - Constant Field Values

### FOCUS_OUT_BACKWARD

public static final String FOCUS_OUT_BACKWARD

See Also:
  - Constant Field Values

## Constructor Details

### SplitPaneActions

protected SplitPaneActions()